var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import classNames from 'classnames';
import MenuItem from '@mui/material/MenuItem';
import Checkbox from '@mui/material/Checkbox';
import { ExpandedValueTooltip } from '../../../ExpandedValueTooltip';
export var Option = function (_a) {
    var _b;
    var innerProps = _a.innerProps, innerRef = _a.innerRef, children = _a.children, isFocused = _a.isFocused, isSelected = _a.isSelected, classes = _a.selectProps.classes, label = _a.label;
    return (React.createElement(MenuItem, __assign({ className: classNames(classes.option, (_b = {}, _b[classes['option--selected']] = isSelected, _b)), ref: innerRef, selected: isFocused, component: "div" }, innerProps),
        React.createElement(Checkbox, { color: "primary", checked: isSelected }),
        React.createElement(ExpandedValueTooltip, { value: label },
            React.createElement("div", { className: classes['option--item'] }, children))));
};
